summaryrefslogtreecommitdiffhomepage
path: root/debian/dropbear.postrm
diff options
context:
space:
mode:
authorMatt Johnston <matt@ucc.asn.au>2004-08-12 16:41:58 +0000
committerMatt Johnston <matt@ucc.asn.au>2004-08-12 16:41:58 +0000
commit8e1ec24f55be1a9af2595a58bb4b805bebd7fa9d (patch)
tree0b54a905a49358adc37ce32e3e80239dd6ebd736 /debian/dropbear.postrm
parent538bc5a09e8a7aa6fdc7f38f0bac649efd6bd264 (diff)
Merging in the changes from 0.41-0.43 main Dropbear tree
--HG-- extra : convert_revision : 4c3428781bc8faf0fd7cadd7099fbd7f4ea386e7
Diffstat (limited to 'debian/dropbear.postrm')
-rw-r--r--debian/dropbear.postrm12
1 files changed, 12 insertions, 0 deletions
diff --git a/debian/dropbear.postrm b/debian/dropbear.postrm
new file mode 100644
index 0000000..d09dab0
--- /dev/null
+++ b/debian/dropbear.postrm
@@ -0,0 +1,12 @@
+#! /bin/sh
+set -e
+
+test "$1" = 'purge' || exit 0
+if test -e /etc/dropbear; then
+ rm -f /etc/dropbear/dropbear_rsa_host_key
+ rm -f /etc/dropbear/dropbear_dss_host_key
+ rmdir --ignore-fail-on-non-empty /etc/dropbear
+fi
+update-rc.d dropbear remove >/dev/null
+rm -f /etc/default/dropbear
+rm -rf /etc/dropbear/supervise /etc/dropbear/log/supervise